Bug 1763251 - PUT Object requests slowed down by dynamic bucket index reshard checks
Summary: PUT Object requests slowed down by dynamic bucket index reshard checks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 4.0
Assignee: Casey Bodley
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 15:01 UTC by Casey Bodley
Modified: 2020-01-31 12:47 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.4-27.el8cp, ceph-14.2.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 41395 0 None None None 2019-10-18 15:01:56 UTC
Github ceph ceph pull 29852 0 'None' closed rgw: move bucket reshard checks out of write path 2020-09-11 06:04:16 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:47:49 UTC

Description Casey Bodley 2019-10-18 15:01:56 UTC
Description of problem:

Once a bucket index reaches the threshold for dynamic reshard, every PUT Object request in that bucket reschedules the bucket for resharding.

These operations should instead run in a background thread that doesn't affect the write path.

Comment 1 RHEL Program Management 2019-10-18 15:02:04 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 11 errata-xmlrpc 2020-01-31 12:47:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.